<template>
  <div class="showing-menu">
    <div class="sticky-head">
      <button class="btn-back" @click="$emit('close')">
        <svg xmlns="http://www.w3.org/2000/svg" height="1.5em" viewBox="0 0 320 512">
          <path
            d="M41.4 233.4c-12.5 12.5-12.5 32.8 0 45.3l160 160c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L109.3 256 246.6 118.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0l-160 160z"
          />
        </svg>
      </button>
      <div class="head-label">
        <span>Menu del giorno</span>
      </div>
    </div>
    <div class="menu-inner scrollable">
      <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 512 512">
        <path
          d="M216 64c-13.3 0-24 10.7-24 24s10.7 24 24 24h16v33.3C119.6 157.2 32 252.4 32 368H480c0-115.6-87.6-210.8-200-222.7V112h16c13.3 0 24-10.7 24-24s-10.7-24-24-24H256 216zM24 400c-13.3 0-24 10.7-24 24s10.7 24 24 24H488c13.3 0 24-10.7 24-24s-10.7-24-24-24H24z"
        />
      </svg>
      <h1>Antipasti</h1>
      <ul>
        <li>
          <h2>Ceviche di spigola con cipolla in agrodolce e ravanelli</h2>
        </li>
        <li>
          <h2>Crocchette di baccalà mantecato, crema di carote, caviale e maionese alle alghe</h2>
        </li>
      </ul>
      <hr />
      <h1>Primi</h1>
      <ul>
        <li>
          <h2>Risotto zafferano e tartare di gambero</h2>
        </li>
        <li>
          <h2>Tortelli ripieni di baccalà al pesto di pistacchio e limone</h2>
        </li>
      </ul>
      <hr />
      <h1>Secondi</h1>
      <ul>
        <li>
          <h2>Polpo arrosto con crema di peperoni, mandorle e prezzemolo</h2>
        </li>
        <li>
          <h2>Spigola o orata su crema di agrumi, ceci al rosmarino e cipolla borrettana</h2>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  computed: {}
}
</script>

<style lang="less" scoped>
.showing-menu {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  padding-top: 65px;
  width: 100%;
  min-height: 100%;
  height: 100vh;
  background: var(--color-background);
  user-select: none;
  transition: transform 0.3s cubic-bezier(0.8, 0, 0, 1);
  transform: translate3d(100%, 0, 0);

  &.open {
    transform: translate3d(0, 0, 0);
  }

  .sticky-head {
    height: 65px;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: var(--color-background);

    .btn-back {
      background: none;
      border: 0;
      z-index: 1;

      svg {
        margin-left: 20px;

        path {
          fill: var(--color-text);
        }
      }
    }

    .head-label {
      position: absolute;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;

      span {
        font-weight: 600;
      }
    }
  }

  .menu-inner {
    padding: 0.5rem 2rem 7rem;

    h1 {
      font-size: 26px;
    }

    h2 {
      font-size: 22px;
    }

    hr {
      margin: 1.2rem 7rem;
    }

    svg {
      width: 45px;
      height: 45px;
      margin: auto;
      display: block;
      margin-bottom: 1.5rem;

      path {
        fill: var(--color-text);
      }
    }
  }
}
</style>
